version: 2.1
jobs:
  build:
    docker:
     - image: cimg/base:2022.05
    steps:
      - checkout
      - run: curl -L $(curl -s https://api.github.com/repos/thomaspoignant/go-feature-flag/releases/latest | jq -r '.assets[] | select(.name|match("Linux_x86_64.tar.gz$")) | .browser_download_url' | grep 'migration-cli') --output release.tar.gz && tar -zxvf release.tar.gz
      - run: ./go-feature-flag-migration-cli --input-format=yaml --input-file=flag-config.yaml --output-format=yaml